%define		svn_release	19371

Distribution:   CCux
Packager:	Christian Wasem <wasem@cux-linux.de>

Name:		inkscape
Version:	0.47
Release:	1
License:	GNU/GPL
URL:		http://www.inkscape.org
Group:		Multimedia/Graphics
Source0:	%{name}-%{svn_release}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Inkscape is an open source SVG editor with capabilities similar to Illustrator, CorelDraw, Visio, etc.

BuildRequires:	gc-devel >= 6.4
BuildRequires:	libsigc++-devel
BuildRequires:	gtkmm-devel
BuildRequires:	glibmm-devel
BuildRequires:	perl
BuildRequires:	ORBit2-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	aspell-devel
BuildRequires:	atk-devel
BuildRequires:	libbonobo-devel
BuildRequires:	glibc-devel
BuildRequires:	cairo-devel
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	GConf-devel
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	glib-devel
BuildRequires:	libgnomecanvas-devel
BuildRequires:	libgnomeprint-devel
BuildRequires:	libgnomeprintui-devel
BuildRequires:	gnome-vfs-devel
BuildRequires:	gtk2+-devel
BuildRequires:	lcms-devel
BuildRequires:	gtkspell-devel
BuildRequires:	pango-devel
BuildRequires:	libpng-devel
BuildRequires:	popt
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	zlib-devel
BuildRequires:	cairomm-devel
BuildRequires:	gsl-devel
BuildRequires:	boost-devel
BuildRequires:	popt-devel
BuildRequires:	libwpg-devel
BuildRequires:	poppler-devel
BuildRequires:	poppler-glib-devel

Requires:	python-lxml
Requires:	numpy

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

Provides:       perl(SpSVG)
Provides:       perl(SVG)

%description
Inkscape is an open source SVG editor with capabilities similar to Illustrator, CorelDraw, Visio, etc.
Supported SVG features include basic shapes, paths, text, alpha blending, transforms, gradients,
node editing, svg-to-png export, grouping, and more.
For more details see: http://www.inkscape.org

%prep
%setup -n %{name}-%{svn_release}

%build
MYCFLAGS="$RPM_OPT_FLAGS"

%configure \
--with-perl \
--with-gnome-print \
--with-gnome-vfs \
--enable-poppler-cairo \
--disable-dependency-tracking
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README doc/keys.html
%_bindir
%_applications
%_datadir/%{name}
%_locale
%_mandir
%_pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jul 20 2008 Christian Wasem <wasem@ccux-linux.de> 0.47-1
- build without embedded python
- change to correct version (svn build)
* Sat Jul 19 2008 Christian Wasem <wasem@ccux-linux.de> 0.46-5
- svn release (19371)
* Tue Apr 22 2008 Christian Wasem <wasem@ccux-linux.de> 0.46-4
- changed package group to Multimedia/Graphics
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.46-3
- rebuilt against poppler 0.8.0
* Wed Mar 12 2008 Christian Wasem <wasem@ccux-linux.de> 0.46-2
- rebuild, add python-lxml as Requires (for more features)
* Tue Mar 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.46-1
- Version update
* Mon Feb 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.45-1
- Version update
* Fri Sep 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.44.1-2
- rebuilt against X.org 7.1.1
* Fri Sep 08 2006 Christian Metzen <metzench@ccux-linux.de> 0.44.1-1
- Version update
* Sat Jun 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.44-1
- version update
* Mon Jun 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.43-3
- added freetype 2.2 patch
* Fri Nov 25 2005 Christian Wasem <wasem@ccux-linux.de> 0.43-2
- added desktop patch
* Fri Nov 25 2005 Christian Metzen <metzench@ccux-linux.de> 0.43-1
- Version update
* Mon Aug 22 2005 Christian Metzen <metzench@ccux-linux.de> 0.42.2-1
- Version update
* Sun Aug 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.42.1-1
- Version update
* Tue Jul 26 2005 Christian Metzen <metzench@ccux-linux.de> 0.42-1
- Version update, tweaked specfile, removed wrong obsoletes tag
- added missing specfile entrys from package db
* Fri Feb 11 2005 Christian Wasem <wasem@cux-linux.de> 0.41-1
- update from version 0.40-4, setting correct CFLAGS & CXXFLAGS
* Tue Jan 18 2005 Christian Wasem <wasem@ccux-linux.de> 0.40-4
- fixed dependencies (gc, gtkmm, glibmm and perl-SVG) ;-)
* Tue Jan 18 2005 Christian Wasem <wasem@ccux-linux.de> 0.40-3
- fixed dependencies (gc, gtkmm, glibmm)
* Tue Jan 18 2005 Christian Wasem <wasem@ccux-linux.de> 0.40-2
- added dependencies (gc, perl-SVG)
* Sun Jan 16 2005 Christian Wasem <wasem@ccux-linux.de> 0.40-1
- Initial Release
